POST api/bagapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "8e767546-d2c3-467e-87c3-fd88c77f8b4b",
"cleanroom_type_id": "0a974619-0416-4cd3-8a82-ecf3339d1dab",
"code": 3,
"date_hu": "2026-09-24T02:29:55.9592642+00:00",
"id": "b671bb36-8ecd-4829-90d3-0060e9f85991",
"site_id": "34cc2e87-3131-4416-8e4a-e5d9f4cc1dc2",
"wash_count": 6,
"position": 7,
"pc_id": "ad89a70d-cdeb-46d2-953e-f71a6f90602f"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>8e767546-d2c3-467e-87c3-fd88c77f8b4b</bag_status_id> <cleanroom_type_id>0a974619-0416-4cd3-8a82-ecf3339d1dab</cleanroom_type_id> <code>3</code> <date_hu>2026-09-24T02:29:55.9592642+00:00</date_hu> <id>b671bb36-8ecd-4829-90d3-0060e9f85991</id> <pc_id>ad89a70d-cdeb-46d2-953e-f71a6f90602f</pc_id> <position>7</position> <site_id>34cc2e87-3131-4416-8e4a-e5d9f4cc1dc2</site_id> <wash_count>6</wash_count> </bag>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"1e03bba7-9b71-4eff-9043-49bb331b28f1"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">1e03bba7-9b71-4eff-9043-49bb331b28f1</guid>